com.sun.jna.platform.win32

## Class WinCrypt.CRYPTPROTECT_PROMPTSTRUCT

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.WinCrypt.CRYPTPROTECT_PROMPTSTRUCT

- Enclosing interface:
    WinCrypt

      @Structure.FieldOrder(value={"cbSize","dwPromptFlags","hwndApp","szPrompt"})
      public static class WinCrypt.CRYPTPROTECT_PROMPTSTRUCT
      extends Structure

  The CRYPTPROTECT_PROMPTSTRUCT structure provides the text of a prompt and information about when and where that prompt is to be displayed when using the CryptProtectData and CryptUnprotectData functions.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.sun.jna.Structure

      `Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `cbSize` Size of this structure in bytes.
    `int` | `dwPromptFlags` DWORD flags that indicate when prompts to the user are to be displayed.
    `WinDef.HWND` | `hwndApp` Window handle to the parent window.
    `java.lang.String` | `szPrompt` A string containing the text of a prompt to be displayed.

    - ### Fields inherited from class com.sun.jna.Structure

      `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CRYPTPROTECT_PROMPTSTRUCT()`
    `CRYPTPROTECT_PROMPTSTRUCT(Pointer memory)`

  - ### Method Summary

    - ### Methods inherited from class com.sun.jna.Structure

      `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### cbSize

          public int cbSize

      Size of this structure in bytes.

    - #### dwPromptFlags

          public int dwPromptFlags

      DWORD flags that indicate when prompts to the user are to be displayed.

    - #### hwndApp

          public WinDef.HWND hwndApp

      Window handle to the parent window.

    - #### szPrompt

          public java.lang.String szPrompt

      A string containing the text of a prompt to be displayed.

  - ### Constructor Detail

    - #### CRYPTPROTECT_PROMPTSTRUCT

          public CRYPTPROTECT_PROMPTSTRUCT()

    - #### CRYPTPROTECT_PROMPTSTRUCT

          public CRYPTPROTECT_PROMPTSTRUCT(Pointer memory)

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.